Package com.android.server.os

# Class LinphoneTombstoneProtos

java.lang.Object
com.android.server.os.LinphoneTombstoneProtos

public final class LinphoneTombstoneProtos extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LinphoneTombstoneProtos.Architecture`
Protobuf enum `Architecture`
`static final class`
`LinphoneTombstoneProtos.ArmMTEMetadata`
Protobuf type `ArmMTEMetadata`
`static interface`
`LinphoneTombstoneProtos.ArmMTEMetadataOrBuilder`
`static final class`
`LinphoneTombstoneProtos.BacktraceFrame`
Protobuf type `BacktraceFrame`
`static interface`
`LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
`static final class`
`LinphoneTombstoneProtos.Cause`
Protobuf type `Cause`
`static interface`
`LinphoneTombstoneProtos.CauseOrBuilder`
`static final class`
`LinphoneTombstoneProtos.CrashDetail`
NOTE TO OEMS: If you add custom fields to this proto, do not use numbers in the reserved range.
`static interface`
`LinphoneTombstoneProtos.CrashDetailOrBuilder`
`static final class`
`LinphoneTombstoneProtos.FD`
Protobuf type `FD`
`static interface`
`LinphoneTombstoneProtos.FDOrBuilder`
`static final class`
`LinphoneTombstoneProtos.HeapObject`
Protobuf type `HeapObject`
`static interface`
`LinphoneTombstoneProtos.HeapObjectOrBuilder`
`static final class`
`LinphoneTombstoneProtos.LogBuffer`
Protobuf type `LogBuffer`
`static interface`
`LinphoneTombstoneProtos.LogBufferOrBuilder`
`static final class`
`LinphoneTombstoneProtos.LogMessage`
Protobuf type `LogMessage`
`static interface`
`LinphoneTombstoneProtos.LogMessageOrBuilder`
`static final class`
`LinphoneTombstoneProtos.MemoryDump`
Protobuf type `MemoryDump`
`static interface`
`LinphoneTombstoneProtos.MemoryDumpOrBuilder`
`static final class`
`LinphoneTombstoneProtos.MemoryError`
Protobuf type `MemoryError`
`static interface`
`LinphoneTombstoneProtos.MemoryErrorOrBuilder`
`static final class`
`LinphoneTombstoneProtos.MemoryMapping`
Protobuf type `MemoryMapping`
`static interface`
`LinphoneTombstoneProtos.MemoryMappingOrBuilder`
`static final class`
`LinphoneTombstoneProtos.Register`
Protobuf type `Register`
`static interface`
`LinphoneTombstoneProtos.RegisterOrBuilder`
`static final class`
`LinphoneTombstoneProtos.Signal`
Protobuf type `Signal`
`static interface`
`LinphoneTombstoneProtos.SignalOrBuilder`
`static final class`
`LinphoneTombstoneProtos.Thread`
Protobuf type `Thread`
`static interface`
`LinphoneTombstoneProtos.ThreadOrBuilder`
`static final class`
`LinphoneTombstoneProtos.Tombstone`
Protobuf type `Tombstone`
`static interface`
`LinphoneTombstoneProtos.TombstoneOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)